add_library(assets assetManager.cpp types/asset.cpp types/image.cpp loaders/assetIndex.cpp)

# add utils
target_link_directories(assets 
    PRIVATE ../utils
)

target_include_directories(assets
    PUBLIC ../
    PUBLIC ../../
    PUBLIC ../../../external/glm
    PUBLIC ../../../external/box2d/include
)